/*
    Copyright (C) 2005-2007  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _NNTPGRAB_PLUGIN_BASE_H_
#define _NNTPGRAB_PLUGIN_BASE_H_

#include <glib.h>

#include "nntpgrab_types.h"

#define NNTPGRAB_PLUGIN_API_VERSION       20080525

typedef enum {
    NNTP_ERROR_NONE,
    NNTP_ERROR_HOST_NOT_FOUND,
    NNTP_ERROR_SSL_INITIALISE,
    NNTP_ERROR_CONNECTION_REFUSED,
    NNTP_ERROR_CONNECTION_TIMEOUT,
    NNTP_ERROR_READ,
    NNTP_ERROR_WRITE,
    NNTP_ERROR_INVALID_MSG,
    NNTP_ERROR_LOGIN_FAILURE,
    NNTP_ERROR_TOO_MANY_CONNECTIONS,
    NNTP_ERROR_PART_NOT_AVAILABLE,
    NNTP_ERROR_NO_SUCH_GROUP,
    NNTP_ERROR_UNABLE_TO_SAVE_PART,
} NNTPGrabErrCode;

#endif /* _NNTPGRAB_PLUGIN_BASE_H_ */
