/*
    Copyright (C) 2005-2007  Erik van Pienbroek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _PLUGIN_DECODER_H_
#define _PLUGIN_DECODER_H_

#include "nntpgrab_plugin_decoder.h"

typedef struct _plugin_decoder_exported_funcs {
    int              (*get_version) (void);
    gboolean         (*decode_file) (const char *collection_name, const NNTPFile *file, const char *temp_directory, const char *target_directory, int *saved_errno, char **errmsg);
} PluginDecoderExportedFuncs;

typedef gboolean (*plugin_decoder_init_func) (PluginDecoderImportedFuncs funcs);

#endif /* _PLUGIN_DECODER_H_ */
